When you upgrade vSphere in an NSX environment, you must ensure the versions of NSX and vSphere are compatible.

Check the VMware Product Interoperability Matrix to verify which versions of vSphere and ESXi are compatible with your NSX installation. See http://www.vmware.com/resources/compatibility/sim/interop_matrix.php.

See the appropriate version of the vSphere documentation for detailed instructions on upgrading vSphere, including the vSphere Upgrade Guide and the Installing and Administering VMware vSphere Update Manager Guide.

When you upgrade ESXi on a host, you must also install new NSX VIBs on the host to be compatible with the new ESXi version. NSX workloads cannot run on the upgraded host until the NSX VIBs are updated.